﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XExten.Advance.LinqFramework;
using XExten.Advance.StaticFramework;

namespace HKCardIN.Helper
{
    public class DataBus
    {
        public static bool NetWordState { get; set; } = false;
        public static string SaasRoute { get; set; }
        public static string LockCode { get; set; }
    }
    public class ApiRoute
    {
        /// <summary>
        /// 拉取用户和卡信息
        /// </summary>
        public static string PullUserAndCardInfo = DataBus.SaasRoute + "api/member-helper/membercardinfo/";
        /// <summary>
        /// 推送充值到服务器
        /// </summary>
        public static string PushMoneyToServer = DataBus.SaasRoute + "api/member-helper/memberconsumptionorrecharge";
        /// <summary>
        /// 根据会员手机获取卡号
        /// </summary>
        public static string GetCardNoByPhone = DataBus.SaasRoute + "api/";
    }
}
