﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HKControl
{
    internal class CommunicationBase
    {
        /// <summary>
        /// 连接成功
        /// </summary>
        public Action ConnectOk { get; set; }

        /// <summary>
        /// 连接失败
        /// </summary>
        public Action ConnectFail { get; set; }

        /// <summary>
        /// 断开连接
        /// </summary>
        public Action Disconnect { get; set; }

        /// <summary>
        /// 设置是否重连
        /// true=启用重连，false=禁用重连
        /// </summary>
        public bool IsReconnect { get; set; } = true;
    }
}
