﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HKControl
{
    internal class DataModel
    {
        public WindowDataModel LeftWindowData { get; set; } = new WindowDataModel();
        public WindowDataModel RightWindowData { get; set; } = new WindowDataModel();
    }

    public class WindowDataModel
    {
        /// <summary>
        /// 是否允许刷卡
        /// </summary>
        public bool IsSwipe { get; set; }

        /// <summary>
        /// 开始配餐
        /// </summary>
        public bool Start { get; set; }

        /// <summary>
        /// 配餐完成状态
        /// </summary>
        public bool Complete { get; set; }

        /// <summary>
        /// 刷卡机编号
        /// </summary>
        public string CarNum { get; set; }
    }
}
